RemoteAdapter
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.streams.adapters
Class RemoteAdapter<FROM,TO>

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.streams.adapters.AbstractAdapter<FROM,TO,java.lang.Exception>
          org.gcube.contentmanagement.gcubedocumentlibrary.streams.adapters.RemoteAdapter<FROM,TO>

    public class RemoteAdapter<FROM,TO>

extends AbstractAdapter<FROM,TO,java.lang.Exception>

An `AbstractAdapter` with a `RemoteIterator` interface.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`RemoteAdapter( rit, Filter<FROM,TO> ys, IFaultPolicy<? extends java.lang.Exception> fh)` Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

Method Summary
`void` | `close()`
`java.lang.String` | `locator()`
`TO` | `next()` Returns the next element in the stream.

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.streams.adapters.AbstractAdapter
`hasNext, inner`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteAdapter

    public RemoteAdapter( rit,
                         Filter<FROM,TO> ys,
                         IFaultPolicy<? extends java.lang.Exception> fh)

  Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

  Parameters:
    `rit` - the iterator.
    `f` - the filter.
    `h` - the fault handler.

Method Detail

### next

    public TO next()
            throws java.lang.Exception

  Returns the next element in the stream.

  Overrides:
    `next` in class `AbstractAdapter<FROM,TO,java.lang.Exception>`
  Returns:
    the next element in the stream.
  Throws:
    `java.lang.Exception`

### close

    public void close()

### locator

    public java.lang.String locator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD